Namespace
library
Image / Tag
openjdk:16-ea-5
Content Digest
sha256:8fd8b222205f7ea28489062c32870653da525a525f4cac37f5d550de3fb3a321
Details
Created

2020-07-10 04:45:22 UTC

Size

243 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-16

JAVA_VERSION

16-ea+5

LANG

en_US.UTF-8

PATH

/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fa926a7d213a8145d6a906d68a085b21909a4b26871f142804e68b322bf8881f - 17.07% (41.4 MB)

[#001] sha256:22aed8993d2fb0bb3a658c631a1dfbd05c0e5d42218f419d18238996bd06ea08 - 5.8% (14.1 MB)

[#002] sha256:6c598789de1549dbc2a76aae4da01bc67ba780183799875523f289c144cdb704 - 77.13% (187 MB)


History
2018-08-30 21:49:27 UTC

/bin/sh -c #(nop) MAINTAINER Oracle Linux Product Team <[email protected]>

2020-06-10 18:22:32 UTC

/bin/sh -c #(nop) ADD file:79bb5b8b89fe54ba99fd9d42d4f8774bfb9c1319ac3ead17a2005a3bde852451 in /

2020-06-10 18:22:32 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2020-06-10 18:39:27 UTC

/bin/sh -c set -eux; yum install -y gzip tar binutils freetype fontconfig ; rm -rf /var/cache/yum

2020-06-10 18:39:28 UTC

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8

2020-06-18 20:37:38 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-16

2020-06-18 20:37:39 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-07-10 04:44:24 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=16-ea+5

2020-07-10 04:45:21 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_linux-aarch64_bin.tar.gz; downloadSha256=0a29b196a14e038769ff1b506e473dbae610a51c15fe965db7d192413c4c6992; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_linux-x64_bin.tar.gz; downloadSha256=78cd9a7c222ca3c23b74734a74011729d0260e60e65186c73806341109402e12; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /openjdk.tgz "$downloadUrl"; echo "$downloadSha256 */openjdk.tgz" | sha256sum -c -; mkdir -p "$JAVA_HOME"; tar --extract --file /openjdk.tgz --directory "$JAVA_HOME" --strip-components 1; rm /openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; java --version; javac --version

2020-07-10 04:45:22 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2020-07-15 01:48:18 UTC

Size

2.34 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-16

JAVA_SHA256

35d6b27ea5cc47f5caad0171e0a6bd120277c572c30c4e0d83d19ef63b74bc4a

JAVA_URL

https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_windows-x64_bin.zip

JAVA_VERSION

16-ea+5


Layers

[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 68.29% (1.6 GB)

[#001] sha256:fc1b9e59edad2bf789457b52138acc367e86072b73bf862eaf96be70f4d4edbb - 23.52% (564 MB)

[#002] sha256:25edfecb5915de420000d722dc47ef9b13bc344a8330c4300e36a4ec8ca73033 - 0.0% (1.13 KB)

[#003] sha256:3ca5cb7caf11332b67bae426682385af17fa897c718adce9713b111340eb0d71 - 0.36% (8.71 MB)

[#004] sha256:13330fed5347a7e9912941992a3007161aa1fb49b13311deeecee172e5fb8dce - 0.0% (1.1 KB)

[#005] sha256:3cc29d35785aa1c3c0a383049b069e22805c21a9bb9cad32461bcab9457f3e69 - 0.01% (286 KB)

[#006] sha256:c5bdf92767da0f8891b56c7a041584266effa05317f3a7b559d3494d1adf210d - 0.0% (1.1 KB)

[#007] sha256:e5051a3b20081773b6992bd55eeb550362f9e4747bbdf8584fb114fa6d4f40c3 - 0.0% (1.13 KB)

[#008] sha256:e67aa71c339c714b3ac84e8be1414c7aa91a11d73a42816f9f1c2c7430381bd5 - 0.0% (1.12 KB)

[#009] sha256:81988434eb0ae3d568d4c03765fc384484d85e0f4c9c950724fa5b436c7c87fc - 7.82% (188 MB)

[#010] sha256:aef46a56a2cc955b374fe2a6f49a0283f2dd2cc8041f3170bb38262c6f923bfe - 0.0% (1.1 KB)


History
2020-05-07 05:09:25 UTC

Apply image 1809-RTM-amd64

2020-07-08 04:26:49 UTC

Install update 1809-amd64

2020-07-14 18:41:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-07-15 01:45:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force

2020-07-15 01:45:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-16

2020-07-15 01:46:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath

2020-07-15 01:46:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=16-ea+5

2020-07-15 01:46:15 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_windows-x64_bin.zip

2020-07-15 01:46:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=35d6b27ea5cc47f5caad0171e0a6bd120277c572c30c4e0d83d19ef63b74bc4a

2020-07-15 01:48:17 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2020-07-15 01:48:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2020-07-15 01:54:34 UTC

Size

5.55 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-16

JAVA_SHA256

35d6b27ea5cc47f5caad0171e0a6bd120277c572c30c4e0d83d19ef63b74bc4a

JAVA_URL

https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_windows-x64_bin.zip

JAVA_VERSION

16-ea+5


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 68.35% (3.79 GB)

[#001] sha256:802c4beb8b091968ccf1bb4a853ded7955ddb79e6f8775a5155cb5ed07dcbcab - 28.0% (1.55 GB)

[#002] sha256:9a64f8d0454dba1fb133615caae6ab4d76b85b8be54102ee2ce5f7fd034edbff - 0.0% (1.1 KB)

[#003] sha256:ccabcd61311861039196ce34ec8b8b74f236a3b135a888ca230811c6f8a439bc - 0.17% (9.4 MB)

[#004] sha256:bfe0ef8e7d2128d8c84e3f4ee9aa336c9283b3593612b51d5064c853e7b29678 - 0.0% (1.1 KB)

[#005] sha256:452c9dc43f44e3a09fe36211818cb5063135234cfea03935d12c62801b50888c - 0.09% (5.09 MB)

[#006] sha256:20f08f97065c8c81b23d4d61b0be3d07d9efb88f01334b79d01f244eb141f360 - 0.0% (1.13 KB)

[#007] sha256:c848d527d8ae5bbc2b0fa70e4a6b2df1aa7a5f4aa96c354631a35849dbfb2912 - 0.0% (1.13 KB)

[#008] sha256:02e6073e9474745744d68001f099891d441c3a8c0cfa27c94e27cf25c0848ead - 0.0% (1.14 KB)

[#009] sha256:568a510e3755c6b34f439afcdd4aa36642d3f8fa4b3811343ffa55e39c41ba97 - 3.39% (192 MB)

[#010] sha256:05e0c4a097b6659c3e1958ca7f57d7643a5b12056d7fee076019e8ec50dd8460 - 0.0% (1.12 KB)


History
2016-11-19 17:05:00 UTC

Apply image 1607-RTM-amd64

2020-07-07 21:05:00 UTC

Install update ltsc2016-amd64

2020-07-14 18:34:08 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-07-15 01:50:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force

2020-07-15 01:50:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-16

2020-07-15 01:51:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath

2020-07-15 01:51:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=16-ea+5

2020-07-15 01:51:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_windows-x64_bin.zip

2020-07-15 01:51:47 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=35d6b27ea5cc47f5caad0171e0a6bd120277c572c30c4e0d83d19ef63b74bc4a

2020-07-15 01:54:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2020-07-15 01:54:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2020-07-10 02:32:16 UTC

Size

223 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-16

JAVA_VERSION

16-ea+5

LANG

en_US.UTF-8

PATH

/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9b791ce794f1b8ac779f7e2bb939c8f822209f7507dbc7f70d072d98b700e55a - 18.83% (42 MB)

[#001] sha256:8e7857b3d293f1062b1c04189b86491b9bbfd2e793fec6975e1bdcabf4ef9ed3 - 6.42% (14.3 MB)

[#002] sha256:8d6d0ca741f47b03f289397eb94d166052464c02d0cb48bfb6119ef918f7292b - 74.75% (167 MB)


History
2019-05-31 21:40:52 UTC

/bin/sh -c #(nop) MAINTAINER Oracle Linux Product Team <[email protected]>

2020-06-10 18:54:47 UTC

/bin/sh -c #(nop) ADD file:64c488ae0df14676929e149538eb50b12e9a99518a126c88ee9704e8a88424e5 in /

2020-06-10 18:54:49 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2020-06-10 19:12:05 UTC

/bin/sh -c set -eux; yum install -y gzip tar binutils freetype fontconfig ; rm -rf /var/cache/yum

2020-06-10 19:12:06 UTC

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8

2020-06-18 23:55:12 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-16

2020-06-18 23:55:13 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-07-10 02:31:19 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=16-ea+5

2020-07-10 02:32:15 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_linux-aarch64_bin.tar.gz; downloadSha256=0a29b196a14e038769ff1b506e473dbae610a51c15fe965db7d192413c4c6992; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk16/5/GPL/openjdk-16-ea+5_linux-x64_bin.tar.gz; downloadSha256=78cd9a7c222ca3c23b74734a74011729d0260e60e65186c73806341109402e12; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /openjdk.tgz "$downloadUrl"; echo "$downloadSha256 */openjdk.tgz" | sha256sum -c -; mkdir -p "$JAVA_HOME"; tar --extract --file /openjdk.tgz --directory "$JAVA_HOME" --strip-components 1; rm /openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; java --version; javac --version

2020-07-10 02:32:16 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete